LW 11.6.3 installer not working on Catalina?

valanchan

New member
Hi all,
I have a 2016 MBP 13 running Catalina.
I've had LW11.6.3 on this machine since 2017. It got deleted so I downloaded the installer.

The installer refuses to even run.

Any ideas?
 

Markc

ack ack
Any version of LW up to 2015 will have graphical glitches in any MacOS after High Sierra.
In other words LW 11.6 will have missing icons and buttons in Mojave or Catalina.
But I don’t know why the installer doesn’t work.......?
 

ELinder

Member
LW 11.6.3 won't install in Mojave, so I'm not surprised it won't run in Catalina either. The installer launches and immediately dies with an OS warning that it won't run properly.
 

Sensei

TrueArt Support
Download VirtualBox for Mac. You will need OS ISOs..
Then you can emulate any computer you need.
Then you can install LW on it, and copy just installed folder back to original machine.
Just a thought.
 

Markc

ack ack
LW 11.6.3 won't install in Mojave, so I'm not surprised it won't run in Catalina either. The installer launches and immediately dies with an OS warning that it won't run properly.

LW 11.5 works in Mojave (as a test).
I have it installed and running, but as mentioned earlier, buttons are messed up.
 

ELinder

Member
As far as I know, the only MacOS that can be installed in a virtual environment is the old Mac OS X Server (Leopard, Snow Leopard). No newer version will work. That's why I dual boot my MacBook Pro between Mojave and Sierra.
 

Markc

ack ack
That is not true, see below for Parallels:

Guest Operating Systems

Windows 10
Windows 8.1
Windows 8
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2
Windows 7 (SP0-SP1)
Windows Server 2008 R2 (SP0-SP2)
Windows Vista Home, Business, Ultimate and Enterprise (SP0-SP2)
Windows Server 2003 R2 (SP0-SP2)
Windows XP (SP0-SP3)
Windows 2000 Professional SP4
Windows 2000 Server SP4
Boot2Docker
Red Hat Enterprise Linux (RHEL) 8,7 and 6
Linux (RHEL) 8, 7 and 6
Fedora Linux 32, 31
Ubuntu 20.04, 19.04, 18.04 LTS, 16.04 LTS
Debian GNU/Linux 10, 9
Suse Linux Enterprise 15
OpenSUSE Linux 15.2, 15.1, 15
Linux Mint 20, 19, 18
Kali 2020.2, 2019, 2018
Elementary OS 5
Manjaro 18
Mageia 7
Gentoo Linux **
Solaris 11, 10 **
openBSD 6 **
FreeBSD 12, 11 **
openVZ 7
eComStation 2, 1.2 **
ReactOS 0.4 **
Android OS *
macOS Big Sur 11.0 (when released)
macOS Catalina 10.15
macOS Mojave 10.14.x
macOS High Sierra 10.13.x
macOS Sierra 10.12.x
OS X El Capitan 10.11.x
OS X Yosemite 10.10.x
OS X Mavericks 10.9.x
OS X Mountain Lion 10.8.x
OS X Lion 10.7.x
OS X Lion Server 10.7.x
Mac OS X Snow Leopard Server 10.6.x
Mac OS X Leopard Server 10.5.x
and many more...
 

Sensei

TrueArt Support
I was not thinking about regular usage (when I said about using VirtualBox), but how can you get files installed, unpacked, and then manually copied back to original system.. (like in old good '80 and '90 years)
LW should not bother about the rest of the settings, as whatever it has in configs, and it's damaged, it recreates config files anyway..
 

valanchan

New member
I've tried all LW11 versions.
None work on Catalina.

Very sad. Been using LW for decades, since LW3.5.
Maybe time to move on.
 

raymondtrace

Founding member
I'm assuming you mean to move on to Windows. :)

Every version of LightWave for Windows (going back to LW4) still runs on the latest Windows 10.

If we want to ride the rollercoaster of Mac hardware and OS changes, we need to pay for all the application upgrades.
 

Sensei

TrueArt Support
I've tried all LW11 versions.
None work on Catalina.

Quote from
https://en.wikipedia.org/wiki/MacOS_Catalina
"macOS Catalina exclusively supports 64-bit applications. 32-bit applications no longer run (including all software that utilizes the Carbon API as well as QuickTime 7 applications, image, audio and video codecs). Apple has also removed all 32-bit-only apps from the Mac App Store.[29]"

Very sad. Been using LW for decades, since LW3.5.
Maybe time to move on.

Download LW 2020 trial. You will be able to work in it for 30 days or so.
https://www.lightwave3d.com/try_lightwave/
 

valanchan

New member
I'm assuming you mean to move on to Windows. :)

Every version of LightWave for Windows (going back to LW4) still runs on the latest Windows 10.

If we want to ride the rollercoaster of Mac hardware and OS changes, we need to pay for all the application upgrades.


Not sure what you mean by 'Application upgrades'.
Yes, I would need to buy a copy of Windows 10. The LW purchase includes the Windows version, as I used LW with Bootcamp and Windows 7(Ouch!).
 

valanchan

New member
Quote from
https://en.wikipedia.org/wiki/MacOS_Catalina
"macOS Catalina exclusively supports 64-bit applications. 32-bit applications no longer run (including all software that utilizes the Carbon API as well as QuickTime 7 applications, image, audio and video codecs). Apple has also removed all 32-bit-only apps from the Mac App Store.[29]"

Download LW 2020 trial. You will be able to work in it for 30 days or so.
https://www.lightwave3d.com/try_lightwave/

I guess the installer app is 32 bit.
Not sure if I dare go back to Mojave to install, and then upgrade again to Catalina will solve the issue. It may also screw up the file system.

I've been looking at other apps, although I still love LW for Modeller's menu organisation and clean models.

It would be great if Newtek used the LW 2020 installer to install older, but still used versions.
 

jwiede

Electron wrangler
Ok thanks Sensei, didn’t know this would work......:thumbsup:

Have a mid-2012 MacPro running 10.13.6 native with VMs running both 10.14 (Mojave) and 10.15 (Catalina), so it definitely works. Neither of those OS versions would install native on my machine with its current hw (Nvidia graphics), but each installed fine into a VM. I created an installer DMG for Mojave, used it to install both, then upgraded one from Mojave to Catalina. All worked fine in VM.
 
Last edited:
Top Bottom